@echo off

SET choice=a

set EXE_FILE=not_defined
if "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
	set ICE_REV=40
) else (
	set ICE_REV=01
)

set EXE_FILE=not_defined
if EXIST ..\..\setup\hpzscr%ICE_REV%.exe SET EXE_FILE=..\..\setup\hpzscr%ICE_REV%.exe
if EXIST hpzscr%ICE_REV%.exe SET EXE_FILE=hpzscr%ICE_REV%.exe
if "%EXE_FILE%" == "not_defined" goto MISSING_SCRUBBER_EXE

set SCRUBBER_DAT_FILE=not_defined
if EXIST ..\..\setup\hpwscr05.dat SET SCRUBBER_DAT_FILE=hpwscr05.dat
if EXIST hpwscr05.dat SET SCRUBBER_DAT_FILE=hpwscr05.dat
if "SCRUBBER_DAT_FILE" == "not_defined" goto MISSING_PRODUCT_SCRUBBER_DATFILE

echo ******************** Executing Level1 CleanUP *********************
echo The possible cause may be
echo 1. There was a communication Problem with the device while installing
echo 2. There was an error while printing or scanning
echo *******************************************************************
echo.
echo.
echo If you chose to UNINSTALL, Please do the following...
echo 1. Unplug the USB cable from the back of your HP Officejet Pro device
echo 2. After the cleanup finishes, restart your computer and wait for Windows 
echo    to start up
echo 3. Reconnect the USB cable to your HP Officejet Pro device and wait for the 
echo    installation process to finish
echo 4. Try printing a document to confirm functionality
echo.
echo.

if Windows_NT==%OS% GOTO WIN2K_XP
GOTO WIN9x_ME

:WIN2K_XP
echo Press ENTER to continue Uninstalling... 
echo              OR 
echo Press Q followed by ENTER to QUIT Uninstallation

SET /P Choice=

IF /I ‘%choice:~0,1%’==’Q’ GOTO END_QUIT

GOTO DISPLAY

:WIN9x_ME
choice /C:cq Press Q to quit Uninstall OR press C to continue...
if ERRORLEVEL==2 GOTO END_QUIT
if ERRORLEVEL==1 GOTO DISPLAY

GOTO END_QUIT

:DISPLAY

if "%SCRUBBER_DAT_FILE%" == "not_defined" goto MISSING_PRODUCT_SCRUBBER_DATFILE
start /w %EXE_FILE% -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -forcereboot -d MsiUninstaller,TaskUninstaller,RemoveProgramUninstaller,ScannerUninstaller,AiONetworkDriveUninstaller,PrinterUninstaller,DriverUninstaller,ServiceUninstaller,PortUninstaller,RsmUninstaller,RegistryUninstaller,FileUninstaller,MonitorUninstaller,ProcessShutdown,WindowShutdown

goto END

:MISSING_PRODUCT_SCRUBBER_DATFILE
echo "**** Uninstall file not found: hpwscr??.dat ****"
goto EXIT

:MISSING_SCRUBBER_EXE
echo "**** Uninstall file not found: hpzscr%ICE_REV%.exe ****"
goto EXIT


:END
echo Uninstallation Completed.

:END_QUIT
echo DONE.
pause

:END_LAST


:EXIT